% StripGatorValue.m
% Utility for Launch Dispersion Study with STK/Astrogator
% Space Exploration Engineering, Inc. (360)378-7168
% Matlab cleanup and debugging by Mike Loucks (SEE) Aug, 2001.
% Original Utility created by Josh Lane (AGI)

% This function strips the numeric value out of the string that is returned from 
% Astrogator when it is called via the stkConnect call

function value = StripGatorValue(tempValue)

spaceposition = findstr(tempValue(1,:),' ');

% need trap for unitless returns
sizeSP = size(spaceposition);
if sizeSP(2) == 2 
	sizeTV = size(tempValue);
	value = str2num(tempValue(1,spaceposition(2)+1:sizeTV(2)));
else
   value = str2num(tempValue(1,spaceposition(2)+1:spaceposition(3)-1));
end